#ifndef CONNECTIVITYMANAGER_H
#define CONNECTIVITYMANAGER_H

#include <ESP8266WiFi.h>
#include "definition.h"

class ConnectivityManager : public ESP8266WiFiClass
{
  friend class SAB;
  public:
    boolean enableSTAAndAP(boolean enable);

    unsigned char getError() const;
  protected:
    ConnectivityManager();
  private:
    unsigned char _error;
};

#endif //CONNECTIVITYMANAGER_H
