#include "ConnectivityManager.h"

ConnectivityManager::ConnectivityManager() : _error(0)
{
  persistent(false);
  
  if(!enableSTAAndAP(false))_error &= AP_AND_STA_ENABLED_ERR;
  if(!softAP("ESP8266SwissArmyBoard", NULL, 1, false, 8))_error &= AP_SETUP_ERR;
}

boolean ConnectivityManager::enableSTAAndAP(boolean enabled)
{
  return enableSTA(enabled) && enableAP(enabled);
}

unsigned char ConnectivityManager::getError() const
{
  return _error;
}

